mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.IConvertible System.Runtime.Serialization.ISerializable System representation of a database null.

When a SQL query returns null, it is converted to a System.DBNull value, specifically the instance, which is the only instance of the type ever used. Thus, one may compare values t DBNull using reference equality to (== DBNull.Value). You then do not need to create a new instance of this type.

You can convert this to a blank by using Convert.ToString(). See example below.

`SqlConnection dbConn = new SqlConnection("server=myserver;database=mydb;uid=myuserid;pwd=mypassword"); dbConn.Open(); SqlCommand command = new SqlCommand("select something that returns a null value", dbConn); SqlDataReader reader = command.ExecuteReader(); while (reader.Read()) { // if it's a DBNull, myString will contain a blank String string myString = Convert.ToString(reader.GetValue(0)); // if you prefer to check for the DBNull try this object possibleNull = reader.GetValue(0); if (possibleNull == DBNull.Value) { // do something } } reader.Close(); dbConn.Close();`
- Method
  System.Void `` `` To be added: an object of type 'Runtime.Serialization.SerializationInfo' To be added: an object of type 'Runtime.Serialization.StreamingContext' To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.TypeCode To be added To be added: an object of type 'TypeCode' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.SByte `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt16 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt32 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt64 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` To be added: an object of type 'IFormatProvider' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.DBNull This is a static instance of which is the only instance of ever used. None. 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)